---
search:
  tags:
    - Products
    - POST
seo:
  description: >-
    Updates multiple existing products in a single request (does not create new
    ones).… Reference for the POST /products/updaters endpoint in the Bolder API
    v2.
sidebar:
  label: Batch update products
  badge: POST
title: Batch update products
type: openapi-operation
---
Updates multiple **existing** products in a single request (does not create new ones). `tags` is the only field that supports add/remove batch operations — there is no way to bulk-set `status`, price, or other fields through this endpoint.

`POST /products/updaters`

**Request body** (`application/json`, required)

- `ids` (integer[], required)
- `additions` (object)
- `removals` (object)

Request body example:

```json
{
  "ids": [
    101,
    102
  ],
  "additions": {
    "tags": [
      "clearance"
    ]
  }
}
```

**Responses**

- `201` — Products processed
- `422` — Validation error (e.g. missing \`ids\`, or neither \`additions\`/\`removals\` given)

Response example, 201:

```json
{
  "ids": [
    101,
    102
  ],
  "additions": {
    "tags": [
      "clearance"
    ]
  },
  "_embedded": {
    "valid_items": [
      {
        "id": 101,
        "name": "Product A"
      }
    ],
    "invalid_items": []
  }
}
```
